Package de.geolykt.starloader.util

# Class OrderedCollection<E extends Comparable<E>>

java.lang.Object
java.util.AbstractCollection<E>
de.geolykt.starloader.util.OrderedCollection<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`

public class OrderedCollection<E extends Comparable<E>> extends AbstractCollection<E>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrderedCollection()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(E e)`
  `E`
  `get()`
  `boolean`
  `isEmpty()`
  `Iterator<E>`
  `iterator()`
  `@Nullable de.geolykt.starloader.util.CollectionNode<E>`
  `next()`
  `boolean`
  `remove(Object o)`
  `void`
  `setNext(@Nullable de.geolykt.starloader.util.CollectionNode<E> next)`
  `int`
  `size()`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, clear, contains, containsAll, removeAll, retainAll, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `equals, hashCode, parallelStream, removeIf, spliterator, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

- ## Constructor Details

  - ### OrderedCollection

    public OrderedCollection()

- ## Method Details

  - ### iterator

    public Iterator<E> iterator()
    Specified by:
      `iterator` in interface `Collection<E extends Comparable<E>>`
    Specified by:
      `iterator` in interface `Iterable<E extends Comparable<E>>`
    Specified by:
      `iterator` in class `AbstractCollection<E extends Comparable<E>>`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<E extends Comparable<E>>`
    Specified by:
      `size` in class `AbstractCollection<E extends Comparable<E>>`

  - ### next

    @Nullable public @Nullable de.geolykt.starloader.util.CollectionNode<E> next()

  - ### get

    @NotNull public E get()

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Collection<E extends Comparable<E>>`
    Overrides:
      `isEmpty` in class `AbstractCollection<E extends Comparable<E>>`

  - ### setNext

    public void setNext(@Nullable @Nullable de.geolykt.starloader.util.CollectionNode<E> next)

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<E extends Comparable<E>>`
    Overrides:
      `remove` in class `AbstractCollection<E extends Comparable<E>>`

  - ### add

    public boolean add(E e)
    Specified by:
      `add` in interface `Collection<E extends Comparable<E>>`
    Overrides:
      `add` in class `AbstractCollection<E extends Comparable<E>>`